from qgis.core import QgsMessageLog

class Message():

    # Print a message (INFO)
    #
    def print(module: str,message: str) -> None:
        QgsMessageLog.logMessage("["+module+"] "+message, "3DMapping", 0)

    # Print a warning message (WARNING)
    #
    def printWarning(module: str,message: str) -> None:
        QgsMessageLog.logMessage("["+module+"] "+message, "3DMapping", 1)

    # Print an error message (CRITICAL)
    #
    def printError(module: str,anError: object,message: str) -> None:
        if (anError!=None): QgsMessageLog.logMessage("["+module+"] "+message+", error: "+str(anError)+" ("+anError.__class__.__name__+")", "3DMapping", 2)
        if (anError==None): QgsMessageLog.logMessage("["+module+"] "+message, "3DMapping", 2)
